Subject: Re: [External] : bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Po Lu <[email-masked]>
Date: Mon, 02 May 2022 08:35:05 +0800

Drew Adams <[email-masked]> writes:

> FWIW, I don't see why `x-show-tip' is being
> considered "internal".  And I'm one who uses it in
> external libraries.
>
> If `tooltip-show' can use `x-show-tip' then so
> can "external" code that does something similar.

`x-show-tip' is an internal function because it exposes dangerous
features to Lisp.

If the `frame' parameter is an invisible frame, the tooltip will be
displayed unpredictably by different window managers.

There are also some things you can put in `params' that will make Emacs
crash, but I don't remember which.